{"openapi":"3.0.4","info":{"title":"Upsert a Valuation Point.","description":"Insert the estimate Valuation Point.\r\n            \r\nIf the Valuation Point does not exist, this method will create it in estimate state.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/funds/{scope}/{code}/valuationpoints":{"post":{"tags":["Funds"],"summary":"Upsert a Valuation Point.","description":"Insert the estimate Valuation Point.\r\n            \r\nIf the Valuation Point does not exist, this method will create it in estimate state.","operationId":"UpsertDiaryEntryTypeValuationPoint","parameters":[{"name":"scope","in":"path","description":"The scope of the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Fund. Together with the scope this uniquely identifies the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"navTypeCode","in":"query","description":"When provided, upserts the Valuation Point against the specified NAV Type, otherwise the Primary NAV Type will be used.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The Valuation Point Estimate definition to upsert.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertValuationPointRequest"},"example":{"diaryEntryCode":"ValuationJan2024","diaryEntryVariant":"first","name":"ValuationJan2024","effectiveAt":"2024-01-31T23:59:59.0000000+00:00","queryAsAt":"2024-01-31T23:59:59.0000000+00:00","properties":{},"applyClearDown":true,"holdingsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","valuationsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","updateInclusionDateNavAdjustments":false}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertValuationPointRequest"},"example":{"diaryEntryCode":"ValuationJan2024","diaryEntryVariant":"first","name":"ValuationJan2024","effectiveAt":"2024-01-31T23:59:59.0000000+00:00","queryAsAt":"2024-01-31T23:59:59.0000000+00:00","properties":{},"applyClearDown":true,"holdingsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","valuationsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","updateInclusionDateNavAdjustments":false}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertValuationPointRequest"},"example":{"diaryEntryCode":"ValuationJan2024","diaryEntryVariant":"first","name":"ValuationJan2024","effectiveAt":"2024-01-31T23:59:59.0000000+00:00","queryAsAt":"2024-01-31T23:59:59.0000000+00:00","properties":{},"applyClearDown":true,"holdingsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","valuationsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","updateInclusionDateNavAdjustments":false}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertValuationPointRequest"},"example":{"diaryEntryCode":"ValuationJan2024","diaryEntryVariant":"first","name":"ValuationJan2024","effectiveAt":"2024-01-31T23:59:59.0000000+00:00","queryAsAt":"2024-01-31T23:59:59.0000000+00:00","properties":{},"applyClearDown":true,"holdingsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","valuationsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","updateInclusionDateNavAdjustments":false}}},"required":true},"responses":{"200":{"description":"The updated or inserted estimated Valuation Point","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DiaryEntry"},"example":{"aborId":{"scope":"aborScope","code":"DiaryEntryCode"},"diaryEntryCode":"DiaryEntryCode","type":"Period","name":"2023_Q1","status":"Final","applyClearDown":false,"effectiveAt":"2023-04-02T15:10:10.0000000+00:00","queryAsAt":"2023-04-15T15:10:10.0000000+00:00","previousEntryTime":"0001-01-01T00:00:00.0000000+00:00","properties":{"DiaryEntry/AccountingDiary/Reports":{"key":"DiaryEntry/AccountingDiary/Reports","value":{"labelValue":"Some comments"}}}}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DiaryEntry"},"example":{"aborId":{"scope":"aborScope","code":"DiaryEntryCode"},"diaryEntryCode":"DiaryEntryCode","type":"Period","name":"2023_Q1","status":"Final","applyClearDown":false,"effectiveAt":"2023-04-02T15:10:10.0000000+00:00","queryAsAt":"2023-04-15T15:10:10.0000000+00:00","previousEntryTime":"0001-01-01T00:00:00.0000000+00:00","properties":{"DiaryEntry/AccountingDiary/Reports":{"key":"DiaryEntry/AccountingDiary/Reports","value":{"labelValue":"Some comments"}}}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DiaryEntry"},"example":{"aborId":{"scope":"aborScope","code":"DiaryEntryCode"},"diaryEntryCode":"DiaryEntryCode","type":"Period","name":"2023_Q1","status":"Final","applyClearDown":false,"effectiveAt":"2023-04-02T15:10:10.0000000+00:00","queryAsAt":"2023-04-15T15:10:10.0000000+00:00","previousEntryTime":"0001-01-01T00:00:00.0000000+00:00","properties":{"DiaryEntry/AccountingDiary/Reports":{"key":"DiaryEntry/AccountingDiary/Reports","value":{"labelValue":"Some comments"}}}}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}